# Constant Field Values

## org.mariadb.*

org.mariadb.jdbc.MariaDbDatabaseMetaData
Modifier and Type
Constant Field
Value
`public static final String`
`DRIVER_NAME`
`"MariaDB Connector/J"`

org.mariadb.jdbc.internal.MariaDbServerCapabilities
Modifier and Type
Constant Field
Value
`public static final int`
`CLIENT_DEPRECATE_EOF`
`16777216`
`public static final int`
`CLIENT_INTERACTIVE`
`1024`
`public static final int`
`CLIENT_MYSQL`
`1`
`public static final int`
`CLIENT_PROTOCOL_41`
`512`
`public static final int`
`CLIENT_SESSION_TRACK`
`8388608`
`public static final int`
`COMPRESS`
`32`
`public static final int`
`CONNECT_ATTRS`
`1048576`
`public static final int`
`CONNECT_WITH_DB`
`8`
`public static final int`
`FOUND_ROWS`
`2`
`public static final int`
`IGNORE_SIGPIPE`
`4096`
`public static final int`
`IGNORE_SPACE`
`256`
`public static final int`
`LOCAL_FILES`
`128`
`public static final int`
`LONG_FLAG`
`4`
`public static final long`
`MARIADB_CLIENT_COM_MULTI`
`8589934592L`
`public static final long`
`MARIADB_CLIENT_EXTENDED_METADATA`
`34359738368L`
`public static final long`
`MARIADB_CLIENT_PROGRESS`
`4294967296L`
`public static final long`
`MARIADB_CLIENT_STMT_BULK_OPERATIONS`
`17179869184L`
`public static final int`
`MULTI_RESULTS`
`131072`
`public static final int`
`MULTI_STATEMENTS`
`65536`
`public static final int`
`NO_SCHEMA`
`16`
`public static final int`
`ODBC`
`64`
`public static final int`
`PLUGIN_AUTH`
`524288`
`public static final int`
`PLUGIN_AUTH_LENENC_CLIENT_DATA`
`2097152`
`public static final int`
`PROGRESS_OLD`
`536870912`
`public static final int`
`PS_MULTI_RESULTS`
`262144`
`public static final int`
`RESERVED`
`16384`
`public static final int`
`SECURE_CONNECTION`
`32768`
`public static final int`
`SSL`
`2048`
`public static final int`
`TRANSACTIONS`
`8192`

org.mariadb.jdbc.internal.com.Packet
Modifier and Type
Constant Field
Value
`public static final byte`
`COM_INIT_DB`
`0x2`
`public static final byte`
`COM_MULTI`
`0xfe`
`public static final byte`
`COM_PING`
`0xe`
`public static final byte`
`COM_QUERY`
`0x3`
`public static final byte`
`COM_QUIT`
`0x1`
`public static final byte`
`COM_RESET_CONNECTION`
`0x1f`
`public static final byte`
`COM_STMT_BULK_EXECUTE`
`0xfa`
`public static final byte`
`COM_STMT_CLOSE`
`0x19`
`public static final byte`
`COM_STMT_EXECUTE`
`0x17`
`public static final byte`
`COM_STMT_FETCH`
`0x1c`
`public static final byte`
`COM_STMT_PREPARE`
`0x16`
`public static final byte`
`COM_STMT_SEND_LONG_DATA`
`0x18`
`public static final byte`
`CURSOR_TYPE_FOR_UPDATE`
`0x2`
`public static final byte`
`CURSOR_TYPE_NO_CURSOR`
`0x0`
`public static final byte`
`CURSOR_TYPE_READ_ONLY`
`0x1`
`public static final byte`
`CURSOR_TYPE_SCROLLABLE`
`0x4`
`public static final byte`
`EOF`
`0xfe`
`public static final byte`
`ERROR`
`0xff`
`public static final byte`
`LOCAL_INFILE`
`0xfb`
`public static final byte`
`OK`
`0x0`

org.mariadb.jdbc.internal.com.read.dao.CmdInformation
Modifier and Type
Constant Field
Value
`public static final int`
`RESULT_SET_VALUE`
`-1`

org.mariadb.jdbc.internal.com.read.resultset.SelectResultSet
Modifier and Type
Constant Field
Value
`public static final int`
`TINYINT1_IS_BIT`
`1`
`public static final int`
`YEAR_IS_DATE_TYPE`
`2`

org.mariadb.jdbc.internal.com.read.resultset.rowprotocol.RowProtocol
Modifier and Type
Constant Field
Value
`public static final int`
`BIT_LAST_FIELD_NOT_NULL`
`0`
`public static final int`
`BIT_LAST_FIELD_NULL`
`1`
`public static final int`
`BIT_LAST_ZERO_DATE`
`2`
`protected static final int`
`NULL_LENGTH`
`-1`
`public static final int`
`TINYINT1_IS_BIT`
`1`
`public static final int`
`YEAR_IS_DATE_TYPE`
`2`

org.mariadb.jdbc.internal.com.send.authentication.CachingSha2PasswordPlugin
Modifier and Type
Constant Field
Value
`public static final String`
`TYPE`
`"caching_sha2_password"`
org.mariadb.jdbc.internal.com.send.authentication.ClearPasswordPlugin
Modifier and Type
Constant Field
Value
`public static final String`
`TYPE`
`"mysql_clear_password"`
org.mariadb.jdbc.internal.com.send.authentication.NativePasswordPlugin
Modifier and Type
Constant Field
Value
`public static final String`
`TYPE`
`"mysql_native_password"`
org.mariadb.jdbc.internal.com.send.authentication.OldPasswordPlugin
Modifier and Type
Constant Field
Value
`public static final String`
`TYPE`
`"mysql_old_password"`

org.mariadb.jdbc.internal.com.send.authentication.ed25519.spec.EdDSANamedCurveTable
Modifier and Type
Constant Field
Value
`public static final String`
`ED_25519`
`"Ed25519"`

org.mariadb.jdbc.internal.com.send.parameters.ParameterHolder
Modifier and Type
Constant Field
Value
`public static final byte`
`QUOTE`
`0x27`

org.mariadb.jdbc.internal.io.TraceObject
Modifier and Type
Constant Field
Value
`public static final int`
`COMPRESSED_PROTOCOL_COMPRESSED_PACKET`
`1`
`public static final int`
`COMPRESSED_PROTOCOL_NOT_COMPRESSED_PACKET`
`2`
`public static final int`
`NOT_COMPRESSED`
`0`

org.mariadb.jdbc.internal.io.socket.SharedMemorySocket.Kernel32
Modifier and Type
Constant Field
Value
`public static final int`
`EVENT_MODIFY_STATE`
`2`
`public static final int`
`FILE_MAP_READ`
`4`
`public static final int`
`FILE_MAP_WRITE`
`2`
`public static final int`
`INFINITE`
`-1`
`public static final int`
`SYNCHRONIZE`
`1048576`

org.mariadb.jdbc.internal.protocol.AbstractConnectProtocol
Modifier and Type
Constant Field
Value
`protected static final String`
`CHECK_GALERA_STATE_QUERY`
`"show status like \'wsrep_local_state\'"`

org.mariadb.jdbc.internal.util.ConnectionState
Modifier and Type
Constant Field
Value
`public static final int`
`STATE_AUTOCOMMIT`
`8`
`public static final int`
`STATE_DATABASE`
`2`
`public static final int`
`STATE_NETWORK_TIMEOUT`
`1`
`public static final int`
`STATE_READ_ONLY`
`4`
`public static final int`
`STATE_TRANSACTION_ISOLATION`
`16`

org.mariadb.jdbc.internal.util.constant.ColumnFlags
Modifier and Type
Constant Field
Value
`public static final short`
`AUTO_INCREMENT`
`512`
`public static final short`
`BINARY_COLLATION`
`128`
`public static final short`
`BLOB`
`16`
`public static final short`
`DECIMAL`
`64`
`public static final short`
`ENUM`
`256`
`public static final short`
`MULTIPLE_KEY`
`8`
`public static final short`
`NOT_NULL`
`1`
`public static final short`
`PRIMARY_KEY`
`2`
`public static final short`
`SET`
`2048`
`public static final short`
`TIMESTAMP`
`1024`
`public static final short`
`UNIQUE_KEY`
`4`
`public static final short`
`UNSIGNED`
`32`
org.mariadb.jdbc.internal.util.constant.ParameterConstant
Modifier and Type
Constant Field
Value
`public static final String`
`TYPE_MASTER`
`"master"`
`public static final String`
`TYPE_REPLICA`
`"replica"`
org.mariadb.jdbc.internal.util.constant.ServerStatus
Modifier and Type
Constant Field
Value
`public static final short`
`AUTOCOMMIT`
`2`
`public static final short`
`CURSOR_EXISTS`
`64`
`public static final short`
`DB_DROPPED`
`256`
`public static final short`
`IN_TRANSACTION`
`1`
`public static final short`
`LAST_ROW_SENT`
`128`
`public static final short`
`METADATA_CHANGED`
`1024`
`public static final short`
`MORE_RESULTS_EXISTS`
`8`
`public static final short`
`NO_BACKSLASH_ESCAPES`
`512`
`public static final short`
`PS_OUT_PARAMETERS`
`4096`
`public static final short`
`QUERY_NO_GOOD_INDEX_USED`
`16`
`public static final short`
`QUERY_NO_INDEX_USED`
`32`
`public static final short`
`QUERY_WAS_SLOW`
`2048`
`public static final short`
`SERVER_SESSION_STATE_CHANGED`
`16384`
org.mariadb.jdbc.internal.util.constant.StateChange
Modifier and Type
Constant Field
Value
`public static final short`
`SESSION_TRACK_GTIDS`
`3`
`public static final short`
`SESSION_TRACK_SCHEMA`
`1`
`public static final short`
`SESSION_TRACK_STATE_CHANGE`
`2`
`public static final short`
`SESSION_TRACK_SYSTEM_VARIABLES`
`0`
`public static final short`
`SESSION_TRACK_TRANSACTION_CHARACTERISTICS`
`4`
`public static final short`
`SESSION_TRACK_TRANSACTION_STATE`
`5`

org.mariadb.jdbc.util.Options
Modifier and Type
Constant Field
Value
`public static final int`
`MIN_VALUE__MAX_IDLE_TIME`
`60`